Classes often provide public member functions to allow clients of the class to set or get private data members.  Providing set and get functions allows clients of a class to indirectly access the hidden data. The client knows that it is attempting to modify or obtain an object's data, but the client does not know how the object performs these operations.
